Subject: Re: bug#69709: `sort` interface improvement and universal ordering predicate

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 Mar 2024 16:09:16 -0400

> So others will have to go around each such project, ensure the original list
> is "owned" and add the :in-place argument, to reach the optimum
> performance. That's why, I think, 'sort' is mutating in most languages.

I think it's mutating in "most languages" because "most languages" are
imperative and because those primitives usually operate on arrays (a
"naturally imperative" data structure) rather than on singly-linked
lists (a "naturally more immutable" data structure).

        Stefan